#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-refactor-plugin
version:              1.1.0.0
visibility:           public
id:                   hls-refactor-plugin-1.1.0.0-8FKMYRZtCYe5ckpgcsboZC
key:                  hls-refactor-plugin-1.1.0.0-8FKMYRZtCYe5ckpgcsboZC
license:              Apache-2.0
copyright:            The Haskell IDE Team
maintainer:           zubin.duggal@gmail.com
author:               The Haskell IDE Team
synopsis:             Exactprint refactorings for Haskell Language Server
description:
    Please see the README on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  3b66582bc6123f1975ff86d76e0c54c9
exposed:              True
exposed-modules:
    Development.IDE.GHC.Compat.ExactPrint Development.IDE.GHC.Dump
    Development.IDE.GHC.ExactPrint Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.Util

hidden-modules:
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.Plugins.AddArgument
    Development.IDE.Plugin.Plugins.Diagnostic
    Development.IDE.Plugin.Plugins.FillHole
    Development.IDE.Plugin.Plugins.FillTypeWildcard
    Development.IDE.Plugin.Plugins.ImportUtils

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hls-refactor-plugin-1.1.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hls-refactor-plugin-1.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-refactor-plugin
hs-libraries:         HShls-refactor-plugin-1.1.0.0-8FKMYRZtCYe5ckpgcsboZC
depends:
    aeson-2.1.2.1-2OMbY7JPF0J3MoL9ojqeUU base-4.15.1.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-4W3DdpWCDdz1ZSimKMWhuv deepseq-1.4.5.0
    dlist-1.0-Ge5E4TM9DngAWe8aSUgFvB
    extra-1.7.14-JlrBndthxFI3XHXpBzjsFJ ghc-9.0.2 ghc-boot-9.0.2
    ghc-exactprint-0.6.4-1W2CPK1chpQwwXoXlaUjn
    ghcide-1.9.1.0-AWS2v1m9ieiEIikMSx6MX1
    hls-graph-1.9.0.0-86t7seOG836AtuH3hqEl3S
    hls-plugin-api-1.6.0.0-E4EPOTQC6nVL34WwUIpFr0
    lens-5.2.3-KeZeMUPid9u5uuLXgSpPNR
    lsp-1.6.0.0-LqD4QTsyPWx8fdbwGcaULX mtl-2.2.2
    regex-tdfa-1.3.2.2-8Zj20BlevyKFmebJ690Rsi
    retrie-1.1.0.0-Fd0ILtGemrgGDcrao52eqf
    syb-0.7.2.3-JqzSMUO0Mg375L5LIm8jI0 text-1.2.5.0
    text-rope-0.2-9gZWVJCJWpj8g7LURVVfQJ time-1.9.3
    transformers-0.5.6.2
    unordered-containers-0.2.19.1-8KEpYsQ9zGXBRjdYU1dM21

haddock-interfaces:
    /usr/share/doc/haskell-hls-refactor-plugin/html/hls-refactor-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-refactor-plugin/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

